
Redmine - Patch #37668

Fix bad I18n `t` call in macro error handler

2022-09-13 07:30 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

this patch adds the missing module reference to the call to `t` in the error handler that is intended to output an error message when a

macro failed to render.

Related issues:

Related to Redmine - Defect #33426: Error messages for Wiki macros are not in... Closed

Associated revisions

Revision 22331 - 2023-10-06 10:30 - Go MAEDA

Fixes i18n call in macro error fallback (#37668).

Patch by Jens Krämer.

History

#1 - 2022-09-13 07:33 - Go MAEDA

- Related to Defect #33426: Error messages for Wiki macros are not internationalized added

#2 - 2022-09-25 05:13 - Go MAEDA

- Category set to Code cleanup/refactoring

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#3 - 2022-09-27 01:46 - Mischa The Evil

It might be good to add some test coverage for this case (and by extension for the change(s) made for #33426) to prevent this from accidentally

breaking again.

#4 - 2023-10-06 10:30 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix in r22331. Thank you.

#5 - 2023-10-29 01:59 - Mischa The Evil

- Subject changed from fix bad I18n `t` call in macro error handler to Fix bad I18n `t` call in macro error handler
